<?php

NNRobots_Email_Entries_OF::createTable();

$start_date = date(NNROBOTS_OPTIN_FIRE_DATE_FORMAT, mktime(0, 0, 0, date("m")-1, date("d"), date("Y")));
$end_date = date(NNROBOTS_OPTIN_FIRE_DATE_FORMAT, strtotime(current_time('mysql')));

if (isset($_GET[self::$prefix_dash . 'start-date']) && $_GET[self::$prefix_dash . 'start-date'] != '') {
	$start_date = date(NNROBOTS_OPTIN_FIRE_DATE_FORMAT, strtotime($_GET[self::$prefix_dash . 'start-date']));
}

if (isset($_GET[self::$prefix_dash . 'end-date']) && $_GET[self::$prefix_dash . 'end-date'] != '') {
	$end_date = date(NNROBOTS_OPTIN_FIRE_DATE_FORMAT, strtotime($_GET[self::$prefix_dash . 'end-date']));
}

// Export data

if (isset($_GET['export_data']) && $_GET['export_data'] == 'true' && check_admin_referer(self::$prefix . 'export_data')) {

	global $wpdb;

	include_once(NNROBOTS_OPTIN_FIRE_PLUGIN_DIR . 'admin/model/db.php');

	$entries = NNRobots_Email_Entries_OF::getEntries($start_date, $end_date);
	$optin_fires = $wpdb->get_results("SELECT * FROM `" . NNRobots_Optin_Fire_DB::getTableName() . "`");

	foreach ($entries as $key => $entry) {
		$entries[$key]['optin_fire_name'] = '<strong style="color:red;">DELETED</strong>';
	}

	foreach ($optin_fires as $optin_fire) {
		foreach ($entries as $key => $entry) {
			if ($optin_fire->id == $entry['optin_fire_id']) {
				$entries[$key] = array(
					'optin_fire_id'			=> $entry['optin_fire_id'],
					'date'					=> $entry['date'],
					'optin_fire_name'		=> $optin_fire->name,
					'email'					=> $entry['email'],
					'subject'				=> $entry['subject'],
					'message'				=> $entry['message'],
				);
			}
		}
	}

	// Unset indexes

	foreach ($entries as $key => $entry) {
		unset($entries[$key]['id']);
		unset($entries[$key]['optin_fire_id']);
	}

	$filename =  self::$prefix . 'entries.csv';
	$export_file = fopen(NNROBOTS_OPTIN_FIRE_PLUGIN_DIR . 'exports/' . $filename, "w");
	fputcsv($export_file, array('Date', 'Optin', 'Email', 'Subject', 'Message'));

	foreach (array_reverse($entries) as $entry) {

	    fputcsv($export_file, array(
		    'date'				=> date('F j, Y g:i:s A', strtotime($entry['date'])),
		    'optin_fire_name'	=> strip_tags($entry['optin_fire_name']),
		    'email'				=> $entry['email'],
		    'subject'			=> $entry['subject'],
		    'message'			=> $entry['message'],
	    ));
	}

	fclose($export_file);

	?>
	<script type="text/javascript">
		window.location = '<?php echo NNROBOTS_OPTIN_FIRE_PLUGIN_URL . '/exports/download.php?filename=' . $filename; ?>';
	</script>
	<?php
}

require_once(NNROBOTS_OPTIN_FIRE_PLUGIN_DIR . 'admin/views/entries.php');